For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
API ReferenceDeveloper Guides
API ReferenceDeveloper Guides
    • Getting Started
  • Customer Data API
      • POSTAdd screening check information
      • POSTAdd SAR information
      • POSTAdd risk assessment information
      • POSTAdd person information
      • POSTAdd onboarding flow information
      • POSTAdd IDV information
      • POSTAdd account status information
      • POSTAdd access information
  • Transaction Data API
Contact Us
LogoLogo
Customer Data APIRetail

Add person information

POST
https://api.cable.tech/v1/retail/person_info
POST
/v1/retail/person_info
$curl -X POST https://api.cable.tech/v1/retail/person_info \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "id": "user_987654321",
> "timestamp": "2024-01-15T09:30:00Z",
> "is_test_user": false,
> "data": {}
> }
>]'
200Successful
1{
2 "success": true
3}
Retail endpoint for adding new person information
Was this page helpful?
Previous

Add onboarding flow information

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Request

Request body for adding information about persons
idstringRequired>=1 character

Unique external identifier of the person entity, ID stored in your database / back-office

timestampdatetimeRequired

Original timestamp relating to this person entity creation/change

is_test_userbooleanRequiredDefaults to false
If the person is a test user, this should be set to true
dataobjectRequired

Response

Operation success
successbooleanDefaults to true
You probably did something wrong if you set this to false